Send OTP Code
curl --request POST \
--url https://api.example.com/v1/auth/login/otp \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://api.example.com/v1/auth/login/otp"
payload = { "userId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://api.example.com/v1/auth/login/otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authentication
Send OTP Code
Send one-time password code to user’s phone for two-factor authentication
POST
/
v1
/
auth
/
login
/
otp
Send OTP Code
Overview
Send an OTP (one-time password) code to the user’s registered phone number. This endpoint is called when:POST /v1/auth/loginreturnsisOtpRequired: true- User needs two-factor authentication for login
- You need to resend an expired OTP code
Request
Body
string
required
User’s unique identifier from login responseFormat: UUIDExample:
b6b9168c-bb56-4c6a-9c0d-4650ea74f5f9Response
{
"success": true
}
Code Examples
curl -X POST "https://dev.api.baanx.com/v1/auth/login/otp" \
-H "x-client-key: your-client-key" \
-H "Content-Type: application/json" \
-d '{"userId": "b6b9168c-bb56-4c6a-9c0d-4650ea74f5f9"}'
async function loginWithOTP(email, password) {
// Step 1: Initial login attempt
let response = await fetch('https://dev.api.baanx.com/v1/auth/login', {
method: 'POST',
headers: {
'x-client-key': 'your-client-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({ email, password })
});
let data = await response.json();
// Step 2: If OTP required, send code
if (data.isOtpRequired) {
await fetch('https://dev.api.baanx.com/v1/auth/login/otp', {
method: 'POST',
headers: {
'x-client-key': 'your-client-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({ userId: data.userId })
});
console.log(`OTP sent to ${data.phoneNumber}`);
// Step 3: Get OTP from user and retry login
const otpCode = await getOTPFromUser();
response = await fetch('https://dev.api.baanx.com/v1/auth/login', {
method: 'POST',
headers: {
'x-client-key': 'your-client-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({ email, password, otpCode })
});
data = await response.json();
}
return data.accessToken;
}
OTP codes expire after a few minutes. Implement a “Resend Code” button that calls this endpoint again.
Was this page helpful?
⌘I